QDropEvent(3qt)

NAME
QDropEvent - Event sent when a drag-and-drop is completed

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QDropEvent ( const QPoint & pos )
const QPoint& pos () const
bool isAccepted () const
void accept ()
void ignore ()
QByteArray data ( const char * )

DESCRIPTION
Event sent when a drag-and-drop is completed.

When a widgets accepts drop events, it will receive this event if it has accepted the most recent QDragEnterEvent or QDragMoveEvent sent to it.

The widget should use data() to extract data in an appropriate format.

MEMBER FUNCTION DOCUMENTATION

QDropEvent::QDropEvent ( const QPoint & pos )
Creates a QDropEvent for which the mouse is at point pos.

Note that internal state is also involved with QDropEvent, so it is not useful to create these yourself.

void QDropEvent::accept ()
Call this to indicate that the event provided data which your widget processed. Use data(), or preferrably, the decode() methods of existing QDragObject subclasses, such as QTextDrag::decode(), or your own subclasses.

QByteArray QDropEvent::data ( const char * format )
Returns a byte array containing the payload data of this drag, in format.

data() normally needs to get the data from the drag source, which is potentially very slow, so it's advisable to call this function only if you're sure that you will need the data in format.

The resulting data will have a size of 0 if the format was not available.

See also: QDragMoveEvent::data() and QDragMoveEvent::format().

void QDropEvent::ignore ()
The opposite of accept().

SEE ALSO
http://www.troll.no/qt/qdropevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.